TEX1DARRAYCMPLOD(3Cg)

NAME
tex1DARRAYcmplod - performs a texture lookup with shadow compare and a level of detail in a given sampler array.

SYNOPSIS
  float4 tex1DARRAYcmplod(sampler1DARRAY samp, float4 s)
  float4 tex1DARRAYcmplod(sampler1DARRAY samp, float4 s, int texelOff)

samp
    Sampler array to look up.

s   Coordinates to perform the lookup. The value used to select the layer is the second coordinate, the third is the value used in the shadow comparison, the fourth corresponds to the level of detail.

texelOff
    Offset to be added to obtain the final texel.

DESCRIPTION
Performs a texture lookup with level of detail in sampler samp using coordinates s, the texture to be sampled is selected from the layer specified in the coordinates, the lookup involves a shadow comparison and may use texel offset texelOff to compute the final texel.

PROFILE SUPPORT
tex1DARRAYcmplod is only supported in gp4 and newer profiles.

SEE ALSO
tex1DARRAYlod, tex1DARRAYbias, tex1DARRAYcmpbias